#include <ros/ros.h>
#include <geometry_msgs/Twist.h>
using namespace std;

int main(int argc, char **argv)
{
    ros::init(argc, argv, "turtlesim_control_move");
    ros::NodeHandle handle;

    string cmd_topic = "/turtle1/cmd_vel";
    double linear_x = 1.0;
    double linear_y = 1.0;
    double angular_z = 1.0;
    int loop_rate = 1;

    ros::param::get("~cmd_topic", cmd_topic);
    ros::param::get("~linear_x", linear_x);
    ros::param::get("~linear_y", linear_y);
    ros::param::get("~angular_z", angular_z);
    ros::param::get("~loop_rate", loop_rate);

    ros::Publisher cmdVelPub = handle.advertise<geometry_msgs::Twist>(cmd_topic, 1);
    geometry_msgs::Twist speed;

    ros::Rate rate(loop_rate);
    while(ros::ok())
    {
        speed.linear.x  = linear_x;
        speed.linear.y  = linear_y;
        speed.angular.z = angular_z;
        cmdVelPub.publish(speed);

        ros::spinOnce();
        rate.sleep();
    }

    return 0;
}
