#include "ros/ros.h"
#include "stdio.h"
#include "ros_test_pkg/myMsg.h"

int main(int argc, char **argv)
{
    ros::init(argc, argv, "topic_publisher");
    ros::NodeHandle node_handle;

    ros::Publisher pub_number = node_handle.advertise<ros_test_pkg::myMsg>("/count", 10);

    ros::Rate rate(1);
    int number_count = 0;
    while (ros::ok())
    {
        ros_test_pkg::myMsg msg;
        msg.name = "robot";
        msg.device_id = number_count%5;
        msg.percent = rand()/double(RAND_MAX);
        pub_number.publish(msg);

        ros::spinOnce();
        rate.sleep();
        number_count++;
    }

    return 0;
    
}